Skip to content

Voice Control

Manage voice interactions and voice applications. Supports creating and updating voice applications, scheduling, updating, and cancelling callbacks, fetching after-call work states for a case, and fetching or streaming call recordings.

Get after-call work states for a case

Request

Security
bearerAuth and apiKeyAuth
Query
caseNumberstring

Case number

userIdstring

User id

workTypestring

Work type (optional; defaults to SPR_TASK)

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/voice/acw?caseNumber=string&userId=string&workType=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
resolvedValuesobject
hydratedobject

Unresolved type (transientboolean)

idstring

id

acwIdstring

acw id

statusstring

status

timedOutboolean

flag for timeout

skippedboolean

flag for skipped

acwTriggeredAtinteger, (int64)

acw Triggered time

acwSubmittedAtinteger, (int64)

acw submitted time

typestring

type

timeOutAfterinteger, (int64)

timeoutafter

userIdstring

user id

workTypestring

work type

workIdstring

work id

conversationIdstring

Conversation id

]
Response
[ { "resolvedValues": { … }, "hydrated": {}, "id": "string", "acwId": "string", "status": "string", "timedOut": true, "skipped": true, "acwTriggeredAt": 0, "acwSubmittedAt": 0, "type": "string", "timeOutAfter": 0, "userId": "string", "workType": "string", "workId": "string", "conversationId": "string" } ]